# $Revision: 1.31 $, $Date: 2010/11/16 08:23:47 $
%include	/usr/lib/rpm/macros.php
%define		_class		System
%define		_subclass	Command
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - commandline execution interface
Summary(pl.UTF-8):	%{_pearname} - interfejs do wykonywania poleceń systemowych
Name:		php-pear-%{_pearname}
Version:	1.0.7
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	9d0cb3e1c768aa5f0196bcc9b6becc95
URL:		http://pear.php.net/package/System_Command/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Running functions from the commandline can be dangerous if the proper
precautions are not taken to escape the shell arguments and reaping
the exit status properly. This class give a formal interface to both,
so that you can run a system command as comfortably as you would run a
PHP function, which full pear error handling as results on failure.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Używanie funkcji z poleceń systemowych może być niebezpieczne, jeśli
nie wykonało się odpowiedniego przygotowania parametrów i sprawdzenia
kodu wyjścia. Ta klasa daje formalny interfejs do obu rzeczy, co
pozwala na wywoływanie poleceń systemowych w sposób tak wygodny, jak
wywołanie funkcji PHP, która używa obsługi błędów PEAR-a w przypadku
niepowodzenia.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-System_Command.spec,v $
Revision 1.31  2010/11/16 08:23:47  glen
- updated to: 1.0.7

Revision 1.30  2008/01/31 12:16:11  glen
- rel 2

Revision 1.29  2007-07-16 17:14:36  glen
- 1.0.6

Revision 1.28  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.26  2006/11/02 13:01:50  glen
- rel 2

Revision 1.25  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.24  2006/03/20 08:47:08  glen
- 1.0.5

Revision 1.23  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.22  2006/01/23 22:48:59  glen
- 1.0.4

Revision 1.21  2005/11/20 16:26:17  glen
- rel 2

Revision 1.20  2005/10/26 15:57:04  glen
- 1.0.3

Revision 1.19  2005/10/05 20:59:19  glen
- rel 2

Revision 1.18  2005/09/22 19:17:34  glen
- 1.0.2

Revision 1.17  2005/09/21 21:06:13  glen
- use new pear packaging

Revision 1.16  2004/12/04 14:21:00  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/10/30 07:07:26  paladine
- unifications

Revision 1.14  2004/10/24 18:53:07  paladine
- spelling fixes, uppercases, etc.

Revision 1.13  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.12  2004/03/19 22:29:10  adamg
- added missing status information (it is stable)

Revision 1.11  2004/03/02 08:50:05  adamg
- updated to 1.0.1

Revision 1.10  2003/10/07 20:56:16  adamg
- do not use macros in URL

Revision 1.9  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.8  2003/05/28 08:58:48  adamg
- massive attack: added source0-md5

Revision 1.7  2003/05/25 06:25:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/10/14 23:51:46  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.5  2002/09/18 10:49:27  blues
- fix in macros

Revision 1.4  2002/07/13 00:03:47  blues
- release 2 (rebuild with new rpm)
- missing Requires

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.1  2002/06/29 11:53:42  blues
- initial release
